/**
 * 
 */
package org.gcube.informationsystem.model.impl.properties;

import org.gcube.com.fasterxml.jackson.annotation.JsonIgnore;
import org.gcube.com.fasterxml.jackson.annotation.JsonTypeName;
import org.gcube.informationsystem.model.reference.properties.Vault;

/**
 * @author Luca Frosini (ISTI - CNR)
 */
@JsonTypeName(value = Vault.NAME)
public class VaultImpl extends PropertyImpl implements Vault {
	
	/**
	 * Generated Serial Version UID
	 */
	private static final long serialVersionUID = 7823031209294161865L;
	
	@JsonIgnore
	protected String value;
	
	public VaultImpl() {
		super();
	}
	
	@Override
	public String getValue() {
		return value;
	}
	
	@Override
	public void setValue(String value) {
		this.value = value;
	}
	
}
